Release Candidate — the API is undergoing final validation before general availability, and minor changes may still occur.
Hellomateo API Documentation
Contacts

Create Contact Batch Import

POST
/v1/contacts/imports/batch

Creates a new contact Batch Import.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

external_id?|

Identifier assigned by an external system.

contact_list_id?|

Unique identifier of the related contact list.

contact_list_external_id?|

Unique identifier of the related contact list external.

source*|

Source value for this resource.

Response Body

application/json

curl -X POST "https://api.getmateo.com/v1/contacts/imports/batch" \  -H "Content-Type: application/json" \  -d '{    "source": {      "type": "file",      "file": {        "file_id": "8a0cfb4f-ddc9-436d-91bb-75133c583767"      }    }  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "external_id": "string",  "status": "pending",  "started_at": "2019-08-24T14:15:22Z",  "completed_at": "2019-08-24T14:15:22Z",  "total_count": 9007199254740991,  "success_count": 9007199254740991,  "failed_count": 9007199254740991,  "failure": {    "code": "string",    "message": "string"  },  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "contact_list_id": "9298fd5a-be3d-43b6-a1ce-512c7e72f589",  "contact_list_external_id": "string"}
Empty
Empty